package org.rcisoft.business.memInfo.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class MemUserTaskDTO {
    /**
     * 用户id
     */
    private Integer businessId;

    /**
     * 创建人
     */
    private Integer createBy;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createDate;

    /**
     * 消息类型 1:发送请求 2:接受请求
     */
    private String type;

    /**
     * 对方的消息状态 1:同意 2：拒绝
     */
    private String status;

    /**
     * 目标人id
     */
    private Integer targetId;

    /**
     * 登录人的wxOpenid
     */
    private String wxOpenid;

    /**
     * 目标用户的memWxCode
     */
    private String memWxCode;
}
